.widget_product_categories ul {
    list-style: none;
    padding: 0;
}

.widget_product_categories ul ul {
    max-height: 0px;
    overflow: hidden;
    padding-left: 1rem;
}

.widget_product_categories input[type="checkbox"] {
    display: none;
}

.widget_product_categories li {
    position: relative;
}

.widget_product_categories li label {
    display: block;
    cursor: pointer;
    position: absolute;
    right: 0;
    top: 0;
    height: 2rem;
}

.widget_product_categories li label i {
    display: block;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
}

.widget_product_categories input[type="checkbox"]:checked + label i {
    transform: translateY(-50%) rotate(90deg);
}

.widget_product_categories input[type="checkbox"]:checked + label + ul {
    max-height: 100%;
}

.woocommerce div.product .woocommerce-tabs ul.tabs li {
    margin: 0;
}

.term-description.expandable {
    max-height: 300px;
    position: relative;
    overflow: hidden;
    transition: max-height 250ms ease-in-out;
}

.term-description.expandable.expanded {
    max-height: 100000px;
}

.term-description.expandable:not(.expanded):after {
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 33%;
    /* Permalink - use to edit and share this gradient: https://colorzilla.com/gradient-editor/#ffffff+0,ffffff+100&0+0,1+100 */
    background: -moz-linear-gradient(top,  rgba(255,255,255,0) 0%, rgba(255,255,255,1) 100%); /* FF3.6-15 */
    background: -webkit-linear-gradient(top,  rgba(255,255,255,0) 0%,rgba(255,255,255,1) 100%); /* Chrome10-25,Safari5.1-6 */
    background: linear-gradient(to bottom,  rgba(255,255,255,0) 0%,rgba(255,255,255,1) 100%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#00ffffff', endColorstr='#ffffff',GradientType=0 ); /* IE6-9 */
}

.term-description.expandable button.toggle {
    position: absolute;
    bottom: 0;
    padding: 0.5rem 2rem;
    z-index: 1;
    left: 50%;
    transform: translateX(-50%);
    background-color: #000;
    border: 0;
    border-radius: 2rem;
    cursor: pointer;
    color: #fff;
}

.term-description.expandable button.toggle:hover {
    color: #262526;
    background: var( --e-global-color-77f4b1d );
}

.term-description.expandable.expanded button {
    position: relative;
}

.term-description.expandable button.toggle:before {
    content: 'Lue lisää';
    margin-right: 0.5em;
}

.term-description.expandable button.toggle:after {
    content: '+';
}

.term-description.expandable.expanded button.toggle:before {
    content: 'Piilota';
}

.term-description.expandable.expanded button.toggle:after {
    content: '-';
}

span.price {
    display: flex;
    flex-direction: column;
}

span.price > span,
span.price > a {
    display: block;
}

span.price > span.tax-free-price,
span.price > a.tax-price,
input[name="tax-toggler"],
input[name="tax-toggler"] + span,
input[name="tax-toggler"] + span + label {
    display: none;
}

input[name="tax-toggler"] + span + label,
span.price > a {
    font-size: small;
    padding: 0.5rem 0;
    cursor: pointer;
    color: gray;
    font-weight: normal;
}

input[name="tax-toggler"] + span + label:hover,
span.price > a:hover {
    text-decoration: underline;
    color: #262526;
}

input[name="tax-toggler"][checked="true"] + span,
input[name="tax-toggler"][checked="true"] + span + label,
input[name="tax-toggler"]:checked + span,
input[name="tax-toggler"]:checked + span + label {
    display: block;
}

span.term-color.single-color {
    box-shadow: 1px 1px 10px 0px #0003;
}

.filter-items.filter-color {
    display: flex;
    flex-wrap: wrap;
}

.yith-wcan-filters .yith-wcan-filter .filter-items .filter-item.color.label-right {
    width: auto;
}

.woocommerce .woocommerce-breadcrumb {
    margin-bottom: 0;
}

.ajax-search-results {
    position: absolute;
    background-color: #fff;
    top: 100%;
    z-index: 999;
    padding: 0;
    border-radius: 0.5em;
    box-shadow: #0003 0px 0px 10px 0;
    width: 100%;
}

.ajax-search-results a {
    display: flex;
    padding: 1rem;
}

.ajax-search-results a .description {
    margin-left: 1rem;
}

.ajax-search-results a:hover {
    background-color: #0001;
}

.ajax-search-results li + li a {
    border-top: 1px solid #eaeaea;
}

.ajax-search-results .price > span {
    padding: 0.5rem 1rem;
    background-color: yellow;
    font-size: large;
    font-weight: bold;
}

#main-menu li.menu-item > a {
    display: flex;
    justify-content: space-between;
    padding-right: 0;
}

#main-menu li.backlink {
    border-bottom: 1px solid;
    padding-bottom: 1rem;
    margin-bottom: 1rem;
}

#main-menu li.backlink > a {
    padding-left: 0;
}

#main-menu li.menu-item .sub-arrow,
#main-menu li.menu-item .pre-arrow {
    padding: 10px 20px;
    margin: -10px 0;
}

#main-menu nav {
    overflow-x: hidden;
}

#main-menu nav > ul {
    min-height: calc(100vh - 50px);
}

#main-menu ul {
    transition: all .25s ease-in-out;
    transform: translateX(0%);
}

#main-menu ul.swiip {
    transform: translateX(-100%);
    transition: all .25s ease-in-out;
}

#main-menu li {
    /*opacity: 0;*/
    position: static;
}

#main-menu li > ul {
    top: 0 !important;
    margin-top: 0 !important;
    width: 100% !important;
    margin-left: 100% !important;
}

#main-menu ul.swiip > li.swiip > ul {
    display: block !important;

}

#main-menu .sub-arrow > i {
    transform: none;
}

ul.products li img {
    aspect-ratio: 1/1;
    object-fit: contain;
}

.woocommerce-message .cross-sells .products {
    display: flex;
}

.woocommerce-message ul.products li.product a img {
    width: 100px;
}

.woocommerce-message .products ul::after,
.woocommerce-message .products ul::before,
.woocommerce-message ul.products::after,
.woocommerce-message ul.products::before {
    display: none;
}

.woocommerce-message ul.products {
    display: flex;
    gap: 1em;
}

.woocommerce-message ul.products li.product, 
.woocommerce-page ul.products li.product {
    width: auto;
    display: grid;
    grid-template-columns: 100px 1fr;
    grid-template-rows: 2em 3em 2em;
    gap: 1em;
    margin: 0;
    padding: 1em;
    background-color: #fff;
    border: 1px solid #0001;
}

.woocommerce-message ul.products li.product, 
.woocommerce-page ul.products li.product h2 {
    font-size: .875em;
    width: auto !important;
}

.woocommerce-message ul.products li.product .button {
    margin: 0;
    grid-column: 2;
    padding-top: 0;
    padding-bottom: 0;
    line-height: 2em;
}

.woocommerce-message ul.products li.product .price {
    grid-column: 2;
    color: var( --e-global-color-0cb7109 );
    font-family: var( --e-global-typography-text-font-family ), Sans-serif;
    font-size: var( --e-global-typography-text-font-size );
    font-weight: var( --e-global-typography-text-font-weight );
    text-transform: var( --e-global-typography-text-text-transform );
}

.woocommerce-message .cross-sells h2 {
    font-size: 1.25em;
}

.woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) #respond input#submit,
.woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) a.button,
.woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) button.button,
.woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) input.button,
:where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce #respond input#submit,
:where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce a.button,
:where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce button.button,
:where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce input.button {
    background-color: var( --e-global-color-0cb7109 );
    color: var( --e-global-color-3184a67 );
}

.woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) #respond input#submit:hover,
.woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) a.button:hover,
.woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) button.button:hover,
.woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) input.button:hover,
:where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce #respond input#submit:hover,
:where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce a.button:hover,
:where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce button.button:hover,
:where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce input.button:hover {
    color: var( --e-global-color-0cb7109 );
    background-color: var( --e-global-color-77f4b1d );
}